Get a specific material by ID
curl --request GET \
--url https://api.ionworks.com/materials/{material_id}import requests
url = "https://api.ionworks.com/materials/{material_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.ionworks.com/materials/{material_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"id": "<string>",
"organization_id": "<string>",
"project_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"definition": {},
"manufacturer": "<string>",
"product_id": "<string>",
"created_by": "<string>",
"property_count": 0
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get a specific material by ID
Retrieve a specific material by its ID.
Returns materials from the current organization only.
Get a specific material by ID
Path Parameters
Response
Successful Response
Model representing a material as returned by the API.
Name of the material
Unique identifier for the material
Organization ID of the material
Project the material is scoped to, derived from the cell specification(s) that reference it.
Timestamp when the material was created
Timestamp when the material was last updated
Material definition (formula, type, constituents)
Manufacturer of the material
Supplier product ID
User ID of the creator.
Number of property datasets attached to this material
Was this page helpful?